package cn.superdesk.uniorder.dao.mapper.base;

import cn.superdesk.uniorder.dao.entity.base.UnifiedOrder;
import cn.superdesk.uniorder.dao.entity.base.UnifiedOrderExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UnifiedOrderMapper {
    long countByExample(UnifiedOrderExample example);

    int deleteByExample(UnifiedOrderExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UnifiedOrder record);

    int insertSelective(UnifiedOrder record);

    List<UnifiedOrder> selectByExample(UnifiedOrderExample example);

    UnifiedOrder selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UnifiedOrder record, @Param("example") UnifiedOrderExample example);

    int updateByExample(@Param("record") UnifiedOrder record, @Param("example") UnifiedOrderExample example);

    int updateByPrimaryKeySelective(UnifiedOrder record);

    int updateByPrimaryKey(UnifiedOrder record);

    UnifiedOrder selectByPrimaryKeyForUpdate(@Param("id") Long id);
}